# Copyright 2025 Boant <https://boant.ru>
# License LGPL-3.0 or later (http://www.gnu.org/licenses/lgpl).

{
    'name': 'Telegram API',
    "version": "17.0.0.0.0",
    'category': 'Technical',
    "author": "Boant",
    "license": "LGPL-3",
    "development_status": "Production/Stable",
    "maintainers": ["mvivlad"],
    "website": "https://boant.ru",
    'depends': [
        'base',
        'mail',
        'base_automation',
    ],
    'data': [
        'security/ir.model.access.csv',
        'data/ir_ui_view_templates.xml',
        'wizard/create_notify_new_object.xml',
        'views/base_telegram_view.xml',
        'views/base_telegram_templates.xml',
        'views/base_telegram_menu_views.xml',
    ],
    'installable': True,
    'application': False,
}
